## The `upc_unlock` function

#### Synopsis

        #include <upc.h>
        void upc_unlock(upc_lock_t *ptr);

#### Description

The `upc_unlock` function sets the state of the lock pointed to by `ptr` to unlocked.

Unless the lock is in locked state and the calling thread is the locking thread, the result is undefined.

A null strict access is implied before a call to upc unlock().

Terms, definitions, and symbols

Back to index of all UPC functions